Class | Fog::Terremark::Shared::Server
In: | lib/fog/terremark/models/shared/server.rb
Parent: | Fog::Model

### Methods

PublicIpAddress create_internet_services delete_internet_services destroy graceful_restart internet_services off? on? power_off power_on power_reset ready? reload save shutdown

### Public Instance methods

PublicIpAddress()
create_internet_services(internet_spec)
delete_internet_services()
destroy()
graceful_restart()
internet_services()
off?()
on?()
power_off()
power_on(options = {})
power_reset()
ready?()

{ ‘0’ => ‘Being created’, ‘2’ => ‘Powered Off’, ‘4’ => ‘Powered On’}

reload()
save()
shutdown()

[Validate]